/* --------------------------------------------------
Common definitions
-------------------------------------------------- */
*
{
  box-sizing: border-box;
  -webkit-box-sizing:border-box;
  -moz-box-sizing: border-box;
}

body
{
    position: relative;
    margin: 0;
    padding: 0;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    min-height: 100vh;
}

h1
{
  font-weight: 400;
}

label
{
  display: inline-block;
  margin-bottom: 2px;
}

input, 
select,
button
{
  font-size: inherit;
  font-family: inherit;
  background: none;
}

input:not([type=checkbox]):not([type=submit]), 
select
{
  width: 100%;
}

input:not([type=checkbox]):not([type=file]), 
select, 
button
{
  padding: 3px 5px;
  border: 1px solid grey;
}

input[type=file]
{
  display: none;
}

input[type=submit], 
button
{
  background-color: transparent;
  cursor: pointer;
  min-width: 100px;
}
input[type=submit]:hover, 
button:hover
{
    background-color: #dce8f9;
}

select
{
    overflow: auto;
    max-height: 110px;
}

option
{
    padding: 3px 5px;
    border-bottom: 1px solid lightgrey;
    font-size: inherit;
}

option:last-of-type
{
    border-bottom: none;
}

.overlay
{
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: rgba(0, 0, 0, .2);
}

.loader
{
  position: absolute;
  width: 64px;
  height: 64px;
  top: 50%;
  left: 50%;
  margin: -32px 0 0 -32px;
  background: center no-repeat url("../loader big.gif");
}


/* --------------------------------------------------
Navigation styles 
-------------------------------------------------- */
nav > ul 
{
  display: flex;
  margin: 0;
  padding: 15px 10% 5px;
  justify-content: left;
  list-style: none;
  border-bottom: 1px solid lightgrey;
}

nav > ul:first-child
{
  padding: 20px 10%;
  justify-content: space-between;
  box-shadow: 0px 1px 10px 2px lightgrey;
}

nav > ul:first-child > li + li
{
  padding-left: 20px;
}

nav > ul:not(:first-child) li:not(:first-child):before
{
  content: "|";
  margin: 0 20px;
  color: #000000;
}

nav a
{
  color: #000000;
  text-decoration: none;
  cursor: pointer;
}

#userControl
{
  flex: 1;
  text-align: right;
}

#content 
{
  padding: 50px 10%;
  overflow: auto;
}

footer 
{
  position: absolute;
  bottom: 0;
  width: 100%;
  padding: 15px 10%;
  box-shadow: 0px 1px 10px 2px lightgrey;
}

/* --------------------------------------------------
Form fields styles 
-------------------------------------------------- */
.fieldBox
{
  margin-top: 10px;
}

.fieldGroup
{
  margin: 30px 0;
  display: flex;
  justify-content: space-between;
}

.fieldGroup > *
{
  flex: 0 0 45%;
}

.fieldGroup .divider
{
  flex: 0 0 10%;
  text-align: center;
  margin-top: 15px;
}

.submit
{
  margin-top: 30px;
  text-align: right;
}

.error
{
  margin: 0;
  color: red;
}

.fileNameWrapper
{
  cursor: pointer;
  position: relative;
}

.fileControl
{
  position: absolute;
  height: 100%;
  width: 20px;
  right: 0;
  bottom: 0;
  padding-right: 7px;
  padding-top: 4px;
}

.fileBox.hasValue .choose
{
  display: none;
}
.fileBox:not(.hasValue) .remove
{
  display: none;
}

.fileName
{
  pointer-events: none;
}

/* prevent selection of some elements  */
.fileName::placeholder, 
.fileControl 
{
  -webkit-user-select: none; /* Safari */
  -ms-user-select: none; /* IE 10 and IE 11 */
  user-select: none; /* Standard syntax */
}

/* --------------------------------------------------
Datalist styles 
-------------------------------------------------- */
table.dataList
{
  width: 100%;
  border-spacing: 0;
}
.dataList tr.listItem
{
  height: 50px;
  background: #ffffff;
}
.dataList tr.listItem:hover
{
  background: #dce8f9;
  background: radial-gradient(circle, #dce8f9 90%, #f1f5fb 95%, transparent 100%);
}
.dataList tr:first-of-type td
{
  border-top: 1px solid grey;
}
.dataList td
{
  padding: 0 20px;
  border-bottom: 1px solid grey;
}
.dataList td.itemControl
{
  padding: 0;
  text-align: center;
  width: 50px;
}
.dataList td.itemControl:hover
{
    font-size: 24px;
    font-weight: 700;
}
.dataList a 
{
    display: block;
    height: 50px;
    align-content: center;
    text-decoration: none;
    color: inherit;
}